import { LngLatLike, Map as MapGL } from "maplibre-gl";
export declare class CenterControl {
    protected map?: MapGL;
    protected elem?: HTMLElement;
    pos?: LngLatLike;
    onAdd(map: MapGL): HTMLElement;
    onRemove(map: MapGL): void;
}
